## INTRODUCTION

The Image Style Metadata module stores metadata about derivative, styled images in the database as content entities. On its initial implementation it will only store the width and height of the image, but it can be extended to store more metadata.

The primary use case for this module is to provide easy access to the styled images metadata, without having to actually download the image. This could be helpful in frontend apps that have a headless Drupal backend.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

The module offers 2 methods to create the metadata entities: Either directly when a file is saved, or through Drupal's Queue API. When installing the module, all the styles get assigned the Queue method automatically, but you can change this in the configuration form:

`/admin/config/media/image-style-metadata/settings`

## USAGE

The module provides a page where you can recreate all the metadata entities using Batch API:

`admin/config/media/image-style-metadata/settings/batch`

It also provides a drush command:

`drush image_style_metadata:generate-metadata`

alias:

`drush ism:gm`

Available options for the command:

* `--force-recreate = 1` : Forces all the entities to be updated, even if they already exist. Without this option, the already existing entities will be skipped.
* `--method = METHOD` : Choose the method to create the entities. Available options are `direct` and `queue`. If not provided, the configured default method will be used. If no configuration is found, the default method for drush is "direct".

## MAINTAINERS

Current maintainers for Drupal 10:

- efpapado - https://www.drupal.org/u/efpapado
