<?php

/**
 * @file
 * Documentation for JSONAPI Image Style Metadata API.
 *
 * This file contains hook documentation and examples for the jsonapi_image_style_metadata module.
 */

/**
 * Allows modules to alter the denormalized Image Style Metadata on the File
 * entity, before it is exported through JSONAPI.
 *
 * @param array &$styles
 *   The metadata array keyed by image style name.
 * @param array $metadata_entities
 *   The Image Style Metadata entities.
 * @param \Drupal\file\FileInterface $file
 *   The File entity.
 *
 * @ingroup hooks
 */
function hook_jsonapi_image_style_metadata_alter(array &$styles, array $metadata_entities, \Drupal\file\FileInterface $file) {
  // Add a other data to be exported through JSONAPI.
}
