<?php

namespace Drupal\image_style_metadata;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Access controller for the Image Style Metadata entity.
 *
 * @see \Drupal\image_style_metadata\Entity\ImageStyleMetadata
 */
class AccessControlHandler extends EntityAccessControlHandler {

  protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    switch ($operation) {
      case 'view':
        return AccessResult::allowedIfHasPermission($account, "view image_style_metadata entities");

      case 'update':
        return AccessResult::allowedIfHasPermission($account, 'create image_style_metadata entities');

      case 'delete':
        return AccessResult::allowedIfHasPermission($account, "delete image_style_metadata entities");
    }

    // Unknown operation, no opinion.
    return AccessResult::neutral();
  }

}
